# Uses of Class
org.apache.sling.distribution.journal.impl.discovery.State

Packages that use State
Package
Description
org.apache.sling.distribution.journal.impl.discovery

## Uses of State in org.apache.sling.distribution.journal.impl.discovery

Methods in org.apache.sling.distribution.journal.impl.discovery that return State
Modifier and Type
Method
Description
`State`
TopologyView.`getState(String subAgentId, String pubAgentName)`
Methods in org.apache.sling.distribution.journal.impl.discovery that return types with arguments of type State
Modifier and Type
Method
Description
`Set<State>`
TopologyView.`getSubscribedAgents(String pubAgentName)`
Return the identifiers of subscriber agents subscribed to the given publisher agent.
`Set<State>`
TopologyView.`getSubscriberAgentStates(String subAgentId)`
Return the states for the given subscriber agent.
Methods in org.apache.sling.distribution.journal.impl.discovery with parameters of type State
Modifier and Type
Method
Description
`void`
TopologyViewManager.`refreshState(State state)`
Constructor parameters in org.apache.sling.distribution.journal.impl.discovery with type arguments of type State
Modifier
Constructor
Description
``
`TopologyView(Set<State> newStates)`